Bug 197524 - `xrandr -o <orientation>` does not work
`xrandr -o <orientation>` does not work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 12:33 EDT by shrek-m
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 7.1-4.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 01:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shrek-m 2006-07-03 12:33:48 EDT
Description of problem:
`xrandr -o <orientation>` does not work 

Version-Release number of selected component (if applicable):
$ rpm -qf `which xrandr`
xorg-x11-server-utils-7.1-2


How reproducible:
always

Steps to Reproduce:
1. xrandr -o left
2. xrandr -o 3
3. `su -` and repaet step 1. 2.
  
Actual results:
see below

Expected results:


Additional info:
--------
$ xrandr -q
 SZ:    Pixels          Physical       Refresh
*0   1280 x 1024   ( 452mm x 283mm )  *76
 1   1024 x 768    ( 452mm x 283mm )   76
 2    800 x 600    ( 452mm x 283mm )   73
 3    640 x 480    ( 452mm x 283mm )   73
Current rotation - normal
Current reflection - none
Rotations possible - normal
Reflections possible - none

$ xrandr -o left
X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  154 (RANDR)
  Minor opcode of failed request:  2 (RRSetScreenConfig)
  Serial number of failed request:  12
  Current serial number in output stream:  12

$ xrandr -o 3
X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  154 (RANDR)
  Minor opcode of failed request:  2 (RRSetScreenConfig)
  Serial number of failed request:  12
  Current serial number in output stream:  12

----/----


the monitor is a "samsung syncmaster 215tw" which is not yet in the hardware
database.
$ grep -i syncmaster /etc/X11/xorg.conf
        ModelName    "SyncMaster 204T/204Ts/214T,SyncMaster Magic CX201Ts(Digital)"
$ grep -i intel /etc/X11/xorg.conf
        BoardName   "Intel Corporation Mobile 945GM/GMS/940GML Express
Integrated Graphics Controller"
Comment 1 Mike A. Harris 2006-07-05 01:26:40 EDT
The xrandr client application is designed to implement the client side
functionality provided via RandR.  In order for a particular RandR feature
to actually work however, the X server, and video drivers in use (depending
on the particular feature in question) must implement the desired
functionality and make it available via the server side of the RANDR
extension before any client application is able to invoke the desired
RandR feature.

The kdrive X server implements the complete set of server-side RandR
functionality, however the standard "Xorg" server currently does not
implement the complete set of features which the RandR extension
covers at this time.

As such, this is currently just lack of full RandR server side
implementation in the X server and drivers, rather than a bug.

I know there has been some work going on to implement the "rotation"
functionality in some of the drivers, but it isn't clear how far
things have come yet.

You may want to file a feature request to X.Org for this however in
order to track upstream progress on the implementation.

http://bugs.freedesktop.org

Hope this helps.

Comment 2 shrek-m 2006-11-13 07:51:39 EST
thanks, works great under fc6

Note You need to log in before you can comment on or make changes to this bug.